Jump to content
Test Zeppelin

[ROM][GEN2]CyanogenMod 7 (Android 2.3.7)

Recommended Posts

Am I Right that CM7.0.0 is not natively compatible with Gen2 Blades?

What denotes a "GEN 2" Blade vs any other Blade ? Is that like OLED vs TFT or something else ?

Duck

Share this post


Link to post
Share on other sites

Can anyone tell me what dialer does this ROM use ??

I would like to have the ZTE smart dialer as i have got used to that on the SS ROM

Share this post


Link to post
Share on other sites
Try to play Speedx3d or Doodly jump , you can see that the accelorometer problem is still here , how can this be a final version !!!!!!

...no woman no cry...

Share this post


Link to post
Share on other sites

I have Blade with 5mp camera and TFT screen. Stock ROM was running Android 2.1 so it must be GEN1 phone, am I right?

Is there any need to upgrade to GEN2 with CM7? Or is there any benefits upgrading at all?

Share this post


Link to post
Share on other sites
If it reboots then it's a different bug, the gps bug which was fixed powered off the phone.

Well, I never had any random poweroffs so there may be two different issues then. Or perhaps Gen1 and Gen2 phones react differently to the same bug?

I get (not as often with N38) reboots when using the GPS and only then. /proc/last_kmsg says "ARM9 has CRASHED" or nothing at all. As I understand the libloc_api does look a bit different in gingerbread (there is no libloc* files in /system/lib). My guess is that there might be something with rpc calls and the libloc api that cause these crashes.

Level of overclocking does not seem to matter. Also overclocking reboots (when overclocking to high) has for me always been a freeze followed by a reboot. These crashes are always instant reboot and only when using GPS.

Just my guess but this may be a good starting point to look for answers: https://github.com/CyanogenMod/android_hardware_qcom_gps

Edited by kallt_kaffe

Share this post


Link to post
Share on other sites
I have Blade with 5mp camera and TFT screen. Stock ROM was running Android 2.1 so it must be GEN1 phone, am I right?

Is there any need to upgrade to GEN2 with CM7? Or is there any benefits upgrading at all?

I think you should not upgrade to GEN2 before GEN2 update is available for your stock ROM from your operator (in case you need to send your phone for repair).

Share this post


Link to post
Share on other sites

It's a real shame that this will be the last stable release for Gen1 phones. Not everyone knows the difference and the procedure to update is a little scary considering there is no way to downgrade and keep imei. Also looks like upgrading to gen2 will reintroduce the gps bug for now.

I'm sure someone will be able to modify the script kallte uses for gen1>gen2 cm7 to do the reverse. It is just a few libs and the boot.img modification right?

Share this post


Link to post
Share on other sites
It's a real shame that this will be the last stable release for Gen1 phones. Not everyone knows the difference and the procedure to update is a little scary considering there is no way to downgrade and keep imei. Also looks like upgrading to gen2 will reintroduce the gps bug for now.

I'm sure someone will be able to modify the script kallte uses for gen1>gen2 cm7 to do the reverse. It is just a few libs and the boot.img modification right?

What? Who said that and where?

Share this post


Link to post
Share on other sites
Can anyone tell me what dialer does this ROM use ??

I would like to have the ZTE smart dialer as i have got used to that on the SS ROM

Is there any way to get the ZTE smart dialer on the CM7 stable ROM. Some sort of addon etc ?

Share this post


Link to post
Share on other sites
It's a real shame that this will be the last stable release for Gen1 phones. Not everyone knows the difference and the procedure to update is a little scary considering there is no way to downgrade and keep imei. Also looks like upgrading to gen2 will reintroduce the gps bug for now.

I'm sure someone will be able to modify the script kallte uses for gen1>gen2 cm7 to do the reverse. It is just a few libs and the boot.img modification right?

Correct me if I'm wrong but so far the only people on Gen2 with the GPS bug are using the test kernels? There are more advantages to upgrading to Gen2 than there are staying with Gen1 and I fully support any decision regarding future roms being Gen2 only.

Is there any way to get the ZTE smart dialer on the CM7 stable ROM. Some sort of addon etc ?

No, sadly this will never happen unless ZTE produce a Gingerbread compatible version. The phone parts of CM7 are very different from Froyo so it's not possible without replacing a huge chunk of the rom, which probably won't even work. Use another dialer if you need T9. Go Contacts is a good alternative.

Share this post


Link to post
Share on other sites
Well, I never had any random poweroffs so there may be two different issues then. Or perhaps Gen1 and Gen2 phones react differently to the same bug?

I get (not as often with N38) reboots when using the GPS and only then. /proc/last_kmsg says "ARM9 has CRASHED" or nothing at all. As I understand the libloc_api does look a bit different in gingerbread (there is no libloc* files in /system/lib). My guess is that there might be something with rpc calls and the libloc api that cause these crashes.

Level of overclocking does not seem to matter. Also overclocking reboots (when overclocking to high) has for me always been a freeze followed by a reboot. These crashes are always instant reboot and only when using GPS.

Just my guess but this may be a good starting point to look for answers: https://github.com/CyanogenMod/android_hardware_qcom_gps

I've seen a couple of Gen1 users reporting shutdowns on n38 still so I'm wondering if there is another bug causing this. The first GPS shutdown issue was caused by the battery temp monitor and that is definitely resolved.

I wonder if the issue has been caused by removing QCOM_LIBRPC from the blade as it seems GPS worked better than it does since this was removed in n38?

Share this post


Link to post
Share on other sites
Correct me if I'm wrong but so far the only people on Gen2 with the GPS bug are using the test kernels? There are more advantages to upgrading to Gen2 than there are staying with Gen1 and I fully support any decision regarding future roms being Gen2 only.

And what about the warranty of the phones that are upgraded from GEN1 to GEN2? I think that is a major thing to think about... Won't the warranty be over if someone upgrade their phone do GEN2?

Share this post


Link to post
Share on other sites
And what about the warranty of the phones that are upgraded from GEN1 to GEN2? I think that is a major thing to think about... Won't the warranty be over if someone upgrade their phone do GEN2?

The warranty is void when you fastboot to install an alternative recovery, root the device, install a custom rom etc. The only way to keep the warranty is not to do any modding to the phone at all.

Share this post


Link to post
Share on other sites
The warranty is void when you fastboot to install an alternative recovery, root the device, install a custom rom etc. The only way to keep the warranty is not to do any modding to the phone at all.

Not if you live in Sweden :)

Share this post


Link to post
Share on other sites
The warranty is void when you fastboot to install an alternative recovery, root the device, install a custom rom etc. The only way to keep the warranty is not to do any modding to the phone at all.

True, but in my case If I don't upgrade to GEN2 I have a original ROM version that restores the phone to it's original state, so no warranty void... With the upgrade that won't work!

Edited by _BG_

Share this post


Link to post
Share on other sites
True, but in my case If I don't upgrade to GEN2 I have a original ROM version that restores the phone to it's original state, so no warranty void... With the upgrade that won't work!

Original ROM, yes, but how are you going to get rid of ClockWork etc ?

Share this post


Link to post
Share on other sites
I'm sure someone will be able to modify the script kallte uses for gen1>gen2 cm7 to do the reverse. It is just a few libs and the boot.img modification right?

Correct. It won't be a problem to make a Gen1 converter for future CM7 versions.

Share this post


Link to post
Share on other sites

Wait wait, I've probably missed something here. So CM7.0 WILL work on Gen1 phones, but everything after that will be Gen2 only, and we will need to upgrade to use CM? But as it is right now, the Gen1 version has less bugs than on Gen2? (Ie, GPS fix)

Share this post


Link to post
Share on other sites
Wait wait, I've probably missed something here. So CM7.0 WILL work on Gen1 phones, but everything after that will be Gen2 only, and we will need to upgrade to use CM? But as it is right now, the Gen1 version has less bugs than on Gen2? (Ie, GPS fix)

Me wanna know tooooo... After this stable release point, can we install future nightlies into GEN1 phones?

And if we can, when will CM7 stop working in GEN1 phones?

Share this post


Link to post
Share on other sites

I don't get the switching support to GEN2 phones since GEN2 users could already be using it without any problems. I definitely won't do anything irreversible to my blade while I still have the varranty, and I believe the majority of blade users might have the same attitude. Only result this will cause is decreasing the amount of users, aka beta-testers, cause this release is far from being stable.

Share this post


Link to post
Share on other sites
It has a different interval memory layout.

Run this application to determine: http://android.modaco.com/content/zte-blad...ask-mr-pigfish/

Well whaddya know.. I have a Gen 1.

Not surprised since it is an OLED model.

Need to try and acquire my brothers handset when he gets himself an Optimus x2 since it is an OLED model as well.

Duck

Share this post


Link to post
Share on other sites
Original ROM, yes, but how are you going to get rid of ClockWork etc ?

I thought the TPT process with an original ROM did this & returned the phone to it's out of the box state?

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.